package main

import (
	"fmt"
	"os"
)

func main() {
	if len(os.Args) != 2 {
		fmt.Printf("usage: %s file", os.Args[0])
		os.Exit(1)
	}
	file, err := os.Open(os.Args[1])
	if err != nil {
		fmt.Printf("Cannot open file: %s", err)
		os.Exit(1)
	}
	code, err := Assemble(file)
	if err != nil {
		fmt.Printf("Assembly failed: %s", err)
		os.Exit(1)
	}
	err = Run(code)
	if err != nil {
		fmt.Printf("Runtime error: %s", err)
		os.Exit(1)
	}
}
